Update user group
curl --request PATCH \
--url https://api.galtea.ai/userGroups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "Example Name"
}
'import requests
url = "https://api.galtea.ai/userGroups/{id}"
payload = {
"name": "<string>",
"description": "Example Name"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: 'Example Name'})
};
fetch('https://api.galtea.ai/userGroups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ug_123",
"organizationId": "org_123",
"name": "QA Team",
"type": "EVALUATOR",
"description": "Quality assurance team",
"createdAt": "2023-11-07T05:31:56Z",
"userIds": [
"user_123"
],
"metricIds": [
"metric_123"
]
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Update user group
Update an existing user group. See User Groups.
PATCH
/
userGroups
/
{id}
Update user group
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Path Parameters
User group ID
Response
User group updated successfully
Example:
"ug_123"
Example:
"org_123"
Example:
"QA Team"
Available options:
EVALUATOR Example:
"EVALUATOR"
Example:
"Quality assurance team"
Example:
["user_123"]
Example:
["metric_123"]
⌘I